## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# select1st< PairType > Struct Template Reference

Functor to retrieve the key of a key-value pair in a map, used in STL iteration algorithms. More...

List of all members.

## Public Types

- typedef std::unary_function<
  PairType, typename PairType::first_type > BaseClassType
- typedef BaseClassType::result_type result_type
- typedef BaseClassType::argument_type argument_type
- typedef PairType value_type

## Public Member Functions

- result_type operator() (const argument_type &thePair) const
    Retrieve the key of a key-value pair.

## Detailed Description

### template<class PairType>
struct select1st< PairType >

Functor to retrieve the key of a key-value pair in a map, used in STL iteration algorithms.

## Member Typedef Documentation

template<class PairType>
typedef BaseClassType::argument_type select1st< PairType >::argument_type

template<class PairType>
typedef std::unary_function<PairType, typename PairType::first_type> select1st< PairType >::BaseClassType

template<class PairType>
typedef BaseClassType::result_type select1st< PairType >::result_type

template<class PairType>
typedef PairType select1st< PairType >::value_type

## Member Function Documentation

template<class PairType>
result_type select1st< PairType >::operator() | ( | const argument_type & | thePair | ) | const

  | Retrieve the key of a key-value pair. Parameters:
  thePair | key-value pair
Returns: key

The documentation for this struct was generated from the following file:

- STLHelper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.